# sum32Param Struct Reference

## Data Fields

uint32_t | crc
uint32_t(* | update )(uint32_t crc, const byte *data, size_t size)
uint32_t(* | combine )(uint32_t crc1, uint32_t crc2, size_t len2)

## Detailed Description

Definition at line 80 of file digest.c.

## Field Documentation

uint32_t(* sum32Param::combine)(uint32_t crc1, uint32_t crc2, size_t len2)

Referenced by rpmDigestInit().

uint32_t sum32Param::crc

Definition at line 81 of file digest.c.

Referenced by sum32Digest(), sum32Reset(), and sum32Update().

uint32_t(* sum32Param::update)(uint32_t crc, const byte *data, size_t size)

Referenced by rpmDigestInit(), sum32Reset(), and sum32Update().

The documentation for this struct was generated from the following file:

- rpmio/digest.c